<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
IGAC proyecto SNC

@author 		felipe.cadena
@version		1.0
@description	Pagina para llamar desde el menu el caso de uso 053, consulta de 
                de contrato interadministrativos
                        
@cu 			CU-SA-AC-053 
    
-->
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                template="../../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Consultar Contratos Interadministrativos::.
    </ui:define>

    <ui:define name="content">

        <ui:include
            src="/avaluos/administracion/consultarContratosInteradministrativos.xhtml" />

        <h:form>	
            <p:separator style="width:925px;height:3px" />
            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar"
                                 action="#{consultaContratosInteradministrativos.cerrar}"
                                 icon="ui-icon-circle-close" immediate="true" ajax="false" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />
        </h:form>


        <!-- ...................... dialogs  ................................... -->

        <ui:include src="../../util/visorGeografico.xhtml" />

        <!-- ................... DIALOGOS PARA CASO DE USO 54 .................. -->
        <p:dialog header="Adicionar solicitante"
                  widgetVar="addSolicitanteDialogWV" appendToBody="true"
                  closable="true" minimizable="false" resizable="false" dynamic="true"
                  modal="true" width="988">
            <p:panel header="Datos de la entidad">
                <ui:include src="../util/capturaDatosSolicitante.xhtml">
                    <ui:param name="adicionarSolicitanteWvParam"
                              value="guardarSolicitanteConfirmationWV" />
                    <ui:param name="crearContratoWVParam"
                              value="administrarContratoInteradministrativoWV" />
                </ui:include>
            </p:panel>
        </p:dialog>

        <!-- ................... DIALOGOS PARA CASO DE USO 08 ................... -->
        <p:dialog header="Administrar contrato"
                  widgetVar="administrarContratoInteradministrativoWV"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="800"
                  height="600">
            <ui:include src="administrarContratosInteradministrativos.xhtml" />
            <p:ajax event="close"
                    update=":informacionContratoForm:resumenSolicitantesSolicitudInternoPanelGrid" />
        </p:dialog>

        <p:dialog header="Consultar consignación anticipo"
                  widgetVar="consultarConsignacionWV" appendToBody="true"
                  closable="true" minimizable="false" resizable="false" dynamic="true"
                  modal="true" width="700">
            <ui:include src="consultarConsignacionAnticipo.xhtml">
                <ui:param name="entidadSolicitanteParam"
                          value="#{adminContratosInteradministrativos.entidadSolicitante}" />
                <ui:param name="contratoParam"
                          value="#{adminContratosInteradministrativos.contratoSeleccionado}" />
                <ui:param name="consignacionParam"
                          value="#{adminContratosInteradministrativos.contratoSeleccionado.consignaciones[0]}" />
                <ui:param name="thisWVName" value="consultarConsignacionWV" />
            </ui:include>
        </p:dialog>

        <!-- ................... DIALOGOS PARA CASO DE USO 89 ................... -->
        <p:dialog
            header="Administrar adiciones al contrato interadministrativo"
            widgetVar="administrarAdicionesWV" appendToBody="true"
            closable="true" minimizable="false" resizable="false" dynamic="true"
            modal="true" width="700">
            <ui:include
                src="administrarAdicionesContratoInteradministrativo.xhtml" />
            <p:ajax event="close"
                    listener="#{adminContratosInteradministrativos.cargarValoresDespuesDeAdiciones}"
                    update=":administrarContratoInteradministrativosForm"
                    onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
        </p:dialog>

        <p:dialog header="Agregar / Modificar adiciones contratos"
                  widgetVar="agregarModificarAdicionesWV" appendToBody="true"
                  closable="true" minimizable="false" resizable="false" dynamic="true"
                  modal="true" width="300">
            <ui:include src="modificarAdicionesContrato.xhtml" />
        </p:dialog>

        <!-- ................... DIALOGOS PARA CASO DE USO 88 ................... -->
        <p:dialog
            header="Administrar avalúos en trámite asociados al contrato interadministrativo"
            widgetVar="administrarAvaluosTramiteAsociadoWV" appendToBody="true"
            closable="true" minimizable="false" resizable="false" dynamic="true"
            modal="true" width="900">
            <ui:include src="administrarAvaluosAsocAContrato.xhtml" />
            <p:ajax event="close"
                    listener="#{adminContratosInteradministrativos.calcularValorComprometidoEjecucion}"
                    update=":administrarContratoInteradministrativosForm"
                    onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
        </p:dialog>

        <p:dialog header="Modificar cotización"
                  widgetVar="modificarValorCotizacionWV" appendToBody="true"
                  closable="true" minimizable="false" resizable="false" dynamic="true"
                  modal="true" width="375">
            <ui:include src="modificarCotizacionAvaluo.xhtml" />
            <p:ajax event="close"
                    listener="#{adminAvaluosAsociadosAContrato.calcularValorComprometidoEjecucion}"
                    update=":adminAvaluosContratoForm" onstart="statusDialog2.show();"
                    oncomplete="statusDialog2.hide();" />
        </p:dialog>

        <p:dialog widgetVar="infoDeptosMunisWV"
                  header="Municipios y departamentos asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="600">
            <ui:include
                src="/avaluos/transversal/consultarDepartamentosMunicipiosAvaluo.xhtml" />
        </p:dialog>

        <p:dialog widgetVar="infoPredialWV"
                  header="Información de los predios asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="850">
            <ui:include
                src="/avaluos/transversal/consultarInformacionPredial.xhtml" />
        </p:dialog>

        <!-- ................... DIALOGOS PARA CASO DE USO 87 ................... -->
        <p:dialog header="Consultar avalúos aprobados"
                  widgetVar="consultarAvaluosAprobadosContratoWV" appendToBody="true"
                  closable="true" minimizable="false" resizable="false" dynamic="true"
                  modal="true" width="900">
            <ui:include src="consultarAvaluosAprobados.xhtml" />
        </p:dialog>

        <!-- ...................... composite components  ................................... -->

        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosTramites="false" thisIdPlusColon=":dpCC"
                                 mostrarFichaPredial="false" />

        <misc:ultimateConfirmDialogCC
            confirmMessage="#{adminContratosInteradministrativos.mensajeConfirmacionGuardar}"
            confirmUpdateOnYes=":administrarContratoInteradministrativosForm"
            confirmDialogWV="guardarContratoConfirmationWV"
            voidActionOnYes="#{adminContratosInteradministrativos.guardarContrato}"
            width="350" />

        <misc:ultimateConfirmDialogCC
            confirmMessage="¿Está seguro de ingresar la presente adición del contrato? "
            confirmUpdateOnYes=":adicionesContratoForm"
            confirmDialogWV="confirmacionCreacionWV"
            voidActionOnYes="#{administracionAdicionesContrato.crearEditarAdicion}"
            yesLabel="Aceptar" noLabel="Cancelar" />

    </ui:define>

</ui:composition>
